Bug 835532 - Export on Windows fails with 'File or directory must be absolute.' error
Export on Windows fails with 'File or directory must be absolute.' error
Status: ASSIGNED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.GA
Unspecified Unspecified
medium Severity medium
: ---
: 5.2.x
Assigned To: David Ingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 08:11 EDT by Martin Weiler
Modified: 2015-02-08 16:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Weiler 2012-06-26 08:11:08 EDT
Description of problem:
Using GateIn Management CLI, the export command fails on Windows 2008 Server.

How reproducible:
Sometimes (it worked on a Windows Vista machine)


Steps to Reproduce:
1. Use trial version of SecureCRT to ssh connect to the management interface
2. Try the export command:

% mgmt connect
Password: 
Successfully connected to gatein management system: [user=root, container='portal', host='xxxxx']
[ /]% ls
mop
[ /]% export -f c:\ mop
File or directory must be absolute.
[ /]% export -f c:\ mop
File or directory must be absolute.
[ /]% export -f c:/ mop
File or directory must be absolute.
[ /]% cd mop/
[mop]% ls
portalsites
groupsites
usersites
[mop]% export -f c:\\ usersites 
File or directory must be absolute.


Actual results:
Export failed.

Expected results:
Export succeeds, zip file getting created in directory defined by the -f parameter
Comment 1 Nick Scavelli 2012-06-28 12:02:22 EDT
The export command could do a better job handling this, but you should be able to replace "c:\" with just "/". Also for multiple drives make sure you are on the drive you want the file to go to before executing the ssh command.

Note You need to log in before you can comment on or make changes to this bug.